{- import Math.NumberTheory.Primes.Sieve ( sieveFrom )
a n p = (!!(n-1)) $ iterate (\z -> mod (6*z^2 + 10*z + 3) p) 1
b x y n = sum $ map (a n) $ takeWhile (<=(x+y)) $ sieveFrom x
main = mapM_ (\p -> print (p, [a n p | n <- [1..30]])) $ take 15 $ sieveFrom $ 100
-}
main = print $ sum [                        9645360499311,9591215147623,9733193798040,9686438428484,
  9687464563914,9670321545736,9639166494730,9736511488986,9639921882824,9734248934371,9694525760831,
  9773259240760,9624659204181,9810512731427,9724373139782,9569903384648,9662145550402,9715643972444,
  9817431474982,9721614976709,9769165871455,9661537797918,9749299021264,9734782835646,9794265177460]

